[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: rebuilding festival



You should download the latest Festival release which has config support
for the newer Linuxes ( 2.x setups).  The latest release is
festival-1.4.0.* and  speech_tools-1.2.0.* .  Speech tools have to be in
place before a festival compile is started.  

You can get it (binary RPMs for Redhat) from 
http://leb.net/blinux/festival/mirror.festival_home/Linux-1.4.0/redhat/RPMS/i386/festival-1.4.0-1.i386.rpm 
http://leb.net/blinux/festival/mirror.festival_home/Linux-1.4.0/redhat/RPMS/i386/festival-devel-1.4.0-1.i386.rpm
http://leb.net/blinux/festival/mirror.festival_home/Linux-1.4.0/redhat/RPMS/i386/speech_tools-devel-1.2.0-1.i386.rpm
http://leb.net/blinux/festival/mirror.festival_home/Linux-1.4.0/redhat/RPMS/i386/speech_tools-libs-1.2.0-1.i386.rpm
http://leb.net/blinux/festival/mirror.festival_home/Linux-1.4.0/redhat/RPMS/i386/speech_tools-utils-1.2.0-1.i386.rpm
There are also RPMs for SuSE available.

or as source
http://leb.net/blinux/festival/mirror.festival_home/Linux-1.4.0/redhat/SRPMS/festival-1.4.0-1.src.rpm
http://leb.net/blinux/festival/mirror.festival_home/Linux-1.4.0/redhat/SRPMS/speech_tools-1.2.0-1b.src.rpm
 

--Hans

-- 
blinux == http://www.leb.net/blinux/
ios++  == http://www.leb.net/hzo/ioscount/


On Wed, 20 Oct 1999, Jean Jordaan wrote:

> hi Hans and all 
> 
> > PS: If festival segfaults, download the source rpm and do a simple
> > rpm --rebuild <name_of_festival_package>
> 
> I don't get very far with this, I'm afraid: 
> 
> >--- [tty output] ------------ %< -----------------------------------
> [root@golem rpm]# rpm --rebuild festival-1.3.0-1.src.rpm                                     Installing festival-1.3.0-1.src.rpm
> Executing: %prep
> [... lots of snippage ...]
> Check system type
> config/config:38: ../speech_tools/config/config: No such file or directory
> ../config/config:38: ../../speech_tools/config/config: No such file or directory
> make: *** No rule to make target `../../speech_tools/config/config'.  Stop.
> config/rules/modules.mak:128: config/modincludes.inc: No such file or directory
> make --no-print-directory -C ./config MADE_FROM_ABOVE=1  MODINCLUDES=1 INCLUDE_EVERYTHING='' modincludes.inc 
> ../config/config:38: ../../speech_tools/config/config: No such file or directory
> make[1]: *** No rule to make target `../../speech_tools/config/config'.  Stop.
> make: *** [config/modincludes.inc] Error 2
> Bad exit status from /var/tmp/rpm-tmp.63651 (%build)
> 
> [root@golem rpm]# rpm -qa | grep speech_tools
> speech_tools-libs-1.1.0-1
> speech_tools-utils-1.1.0-1
> speech_tools-devel-1.1.0-1
> <--- [tty output] ------------ %< -----------------------------------
> 
> --jean                                       . .. ..... ///\oo/\\\
> 

-----------------------------------------------------------------------------
       To unsubscribe or change your address send mail to
"emacspeak-request@cs.vassar.edu" with a subject of "unsubscribe" or "help"


Emacspeak Files | Subscribe | Unsubscribe